> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/online-payments/payment-documents/invoice4u/use-invoice4u-with-checkout-api.md).

# Use Invoice4U with checkout API

You can generate Invoice4U receipts through [Checkout](broken://spaces/OiXbo96Og9EN7rz2U44K/pages/g4kU4faod9NbmuOE6u5K) API.

The table below presents the Invoice4U specific fields (required and not required) for checkout API:

| Parameters          | Type                                                 | Description                                                        |
| ------------------- | ---------------------------------------------------- | ------------------------------------------------------------------ |
| `receipt_type`      | Required (string)                                    | Supported types: “INVOICE\_RECEIPT”, “FULL\_RECEIPT” & “INVOICE”   |
| `line_items`        | Required (object) (for INVOICE and INVOICE\_RECEIPT) | Object carrying the parameters required for the product line items |
| `name`              | <p>Required (string) </p><p> </p>                    | Descriptive name of the order line item                            |
| `quantity`          | Required (integer)                                   | Quantity of the order line item                                    |
| `unit_price`        | Required (integer)                                   | Single unit price (tax included)                                   |
| `tax_rate`          | Optional (number)                                    | Tax rate (0 or 17)                                                 |
| `total_amount`      | Requited (integer)                                   | Total product amount (quantity × unit\_price)                      |
| `sku`               | Optional (string)                                    | The stock keeping unit (SKU) for the item                          |
| `sales_description` | Optional (string)                                    | General description of the document                                |

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/online-payments/payment-documents/invoice4u/use-invoice4u-with-checkout-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
